Skip to main content
POST
Grant service account access on a repo or project

Authorizations

Authorization
string
header
required

Authorization code flow with PKCE-S256. RFC 8628 device flow is also supported.

Path Parameters

accountId
string
required
Minimum string length: 1

Body

application/json
resourceId
string
required
Minimum string length: 1
resourceType
enum<string>
required
Available options:
repo,
project
role
enum<string>
required
Available options:
reader,
writer,
admin

Response

Created

status
string
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"/api/v1/schemas/GrantServiceAccountAccessOutputBody.json"